@icon("res://composants/objets/arene/IconeArene.svg")
extends Node2D


signal balle_detruite
signal brique_sortie


func _quand_zone_exterieure_detecte_entree(corps: Node2D) -> void:
	print("Sortie de ", corps.get_name())
	if corps is Balle:
		_traiter_balle_sortie(corps)
	elif corps is Brique:
		_traiter_brique_sortie(corps)


func _traiter_balle_sortie(balle: Balle) -> void:
	balle.detruire()
	balle_detruite.emit()


func _traiter_brique_sortie(_brique: Brique) -> void:
	brique_sortie.emit()
